#!/bin/sh
#
# RunWM - this is a script used to launch window manager
#

# first, find an M4-enabled config file (such as 
# the one from AnotherLevel) for fvwm.
RCFILE=""
for tryfile in "$HOME/.fvwmrc.m4" "/etc/X11/AnotherLevel/fvwmrc.m4"; do
	if [ -f "$tryfile" ]; then
		RCFILE="$tryfile"
		break
	fi
done

# if it really exists, use it; if not, fvwm2 or fvwm95 will
# automagically look for a config file in the regular places.
if [ -n "$RCFILE" ]; then
	FVWMOPTIONS="-f $RCFILE"
else
	FVWMOPTIONS=""
fi

# if this works, we stop here
eval "exec /usr/X11R6/bin/fvwm ${FVWMOPTIONS}"
cat >&2 <<EOF
 WARNING: You selected Fvwm as your window manager, but your installation
 does not appear to be functional. The executable /usr/X11R6/bin/fvwm was 
 not found on your system.
EOF
